<?php
 /**
 *      [QKSHOP] (C) QIKEWEB Inc.
 *      This is NOT a freeware, use is subject to license terms
 */

class PayModel extends BaseModel{
	function getInfo($params){
		if(!is_array($params)){
			if(!$params || !settype($params,"integer")){return false;}
			$wheres = " and id='$params'";
		}else{
			if(!$params['id'] && !$params['outTradeNo']){return false;}
			if($params['id'] && settype($params['id'],"integer")){$wheres .= " and id='".$params['id']."'";}
			if($params['outTradeNo']){$wheres .= " and outTradeNo='".$params['outTradeNo']."'";}

		}
		$sql = "select * from qk_onlinepay where 1=1 $wheres";
		$info = $this->db->getRow($sql);
		return $info;
	}
}
?>